Public Member Functions | Public Attributes | List of all members
libvisio::VSDThemeReference Struct Reference

`#include <VSDStyles.h>`

## Public Member Functions
| VSDThemeReference ()
| VSDThemeReference (long lineColour, long fillColour, long shadowColour, long fontColour)
| VSDThemeReference (const VSDThemeReference &themeRef)
| ~VSDThemeReference ()
void | override (const VSDOptionalThemeReference &themeRef)

## Public Attributes
long | qsLineColour
long | qsFillColour
long | qsShadowColour
long | qsFontColour

## Constructor & Destructor Documentation

## § VSDThemeReference() [1/3]

libvisio::VSDThemeReference::VSDThemeReference | ( |  | ) |
| inline

## § VSDThemeReference() [2/3]

libvisio::VSDThemeReference::VSDThemeReference | ( | long | lineColour,
|  | long | fillColour,
|  | long | shadowColour,
|  | long | fontColour
| ) |  |
| inline

## § VSDThemeReference() [3/3]

libvisio::VSDThemeReference::VSDThemeReference | ( | const VSDThemeReference & | themeRef | ) |
| inline

## § ~VSDThemeReference()

libvisio::VSDThemeReference::~VSDThemeReference | ( |  | ) |
| inline

## Member Function Documentation

## § override()

void libvisio::VSDThemeReference::override | ( | const VSDOptionalThemeReference & | themeRef | ) |
| inline

Referenced by libvisio::VSDContentCollector::collectThemeReference().

## Member Data Documentation

## § qsFillColour

long libvisio::VSDThemeReference::qsFillColour

## § qsFontColour

long libvisio::VSDThemeReference::qsFontColour

## § qsLineColour

long libvisio::VSDThemeReference::qsLineColour

## § qsShadowColour

long libvisio::VSDThemeReference::qsShadowColour

The documentation for this struct was generated from the following file:

- VSDStyles.h